Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.uka.cmtm.serviceregistry.publish.uddi
Class WsdlPublisherFactory

    java.lang.Object
      de.uka.cmtm.serviceregistry.publish.uddi.WsdlPublisherFactory

    public class WsdlPublisherFactory

extends Object

This class can be used to create instances of WSDLPublisher.

Author:
  tilmann

Constructor Summary
`WsdlPublisherFactory()`

Method Summary
`WsdlPublisher` | `createWsdlPublisher()`
`de.uka.cmtm.serviceregistry.publish.uddi.MappingVersion` | `getMappingVersion()`
`String` | `getUddiInquiryUrl()`
`String` | `getUddiPassword()`
`String` | `getUddiPublishUrl()`
`String` | `getUddiUser()`
`String` | `getUpperServiceOntologyUrl()`
`boolean` | `isSaWsdlPublishingCapable()`
`void` | `setMappingVersion(de.uka.cmtm.serviceregistry.publish.uddi.MappingVersion mappingVersion)`
`void` | `setSaWsdlPublishingCapable(boolean saWsdlPublishingCapable)`
`void` | `setUddiInquiryUrl(String uddiInquiryUrl)`
`void` | `setUddiPassword(String uddiPassword)`
`void` | `setUddiPublishUrl(String uddiPublishUrl)`
`void` | `setUddiUser(String uddiUser)`
`void` | `setUpperServiceOntologyUrl(String upperServiceOntologyUrl)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WsdlPublisherFactory

    public WsdlPublisherFactory()

Method Detail

### getUpperServiceOntologyUrl

    public String getUpperServiceOntologyUrl()

  Returns:
    the upperServiceOntologyUrl

### setUpperServiceOntologyUrl

    public void setUpperServiceOntologyUrl(String upperServiceOntologyUrl)

  Parameters:
    `upperServiceOntologyUrl` - the upperServiceOntologyUrl to set

### getMappingVersion

    public de.uka.cmtm.serviceregistry.publish.uddi.MappingVersion getMappingVersion()

  Returns:
    the mappingVersion

### setMappingVersion

    public void setMappingVersion(de.uka.cmtm.serviceregistry.publish.uddi.MappingVersion mappingVersion)

  Parameters:
    `mappingVersion` - the mappingVersion to set

### getUddiInquiryUrl

    public String getUddiInquiryUrl()

  Returns:
    the uddiInquiryUrl

### setUddiInquiryUrl

    public void setUddiInquiryUrl(String uddiInquiryUrl)

  Parameters:
    `uddiInquiryUrl` - the uddiInquiryUrl to set

### getUddiPassword

    public String getUddiPassword()

  Returns:
    the uddiPassword

### setUddiPassword

    public void setUddiPassword(String uddiPassword)

  Parameters:
    `uddiPassword` - the uddiPassword to set

### getUddiPublishUrl

    public String getUddiPublishUrl()

  Returns:
    the uddiPublishUrl

### setUddiPublishUrl

    public void setUddiPublishUrl(String uddiPublishUrl)

  Parameters:
    `uddiPublishUrl` - the uddiPublishUrl to set

### getUddiUser

    public String getUddiUser()

  Returns:
    the uddiUser

### setUddiUser

    public void setUddiUser(String uddiUser)

  Parameters:
    `uddiUser` - the uddiUser to set

### isSaWsdlPublishingCapable

    public boolean isSaWsdlPublishingCapable()

  Returns:
    true if instances created by the facory are capable of publishing SA-WSDL files

### setSaWsdlPublishingCapable

    public void setSaWsdlPublishingCapable(boolean saWsdlPublishingCapable)

  Parameters:
    `saWsdlPublishingCapable` - set if instances created by the factory are to be capable of publishing SA-WSDL files.

### createWsdlPublisher

    public WsdlPublisher createWsdlPublisher()
                                      throws InstantiationException

  Throws:
    `InstantiationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD